classification
Title: Backup files support in IDLE
Type: enhancement Stage:
Components: IDLE Versions: Python 3.3
process
Status: closed Resolution: later
Dependencies: Superseder:
Assigned To: Nosy List: Ramchandra Apte, roger.serwy, terry.reedy
Priority: normal Keywords:

Created on 2011-12-10 03:09 by Ramchandra Apte, last changed 2011-12-16 23:28 by terry.reedy. This issue is now closed.

Messages (7)
msg149140 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2011-12-10 03:09
Automatically save files in IDLE's editor which are not saved to backup file(s) (perhaps in .idlerc) every minute.

If IDLE crashes, save all files that are not saved to backup file(s) and then re-raise the error (like a finally statement)

When IDLE detects a backup file make it prompt the user whether (s)he wants to move the backup file to the original file and also have a button to view the backup file and a button to view the original file (both the buttons are in the prompt).
msg149305 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2011-12-12 14:53
I rarely have IDLE crash on Linux. If you're experiencing these issues on Windows, see #13582.
msg149435 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2011-12-14 09:12
In response to Roger Serwy:
>>> I rarely have IDLE crash on Linux. If you're experiencing these issues on Windows, see #13582.

I'm on Ubuntu Linux and IDLE does'nt crash.
Many editors have backup files in the case of a crash and after a crash have an option to copy the backup file to the original.
Also if IDLE has a bug it can crash.
msg149457 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2011-12-14 17:07
Would you want to collaborate on writing an extension to do this? Check out IdleX.
msg149494 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2011-12-15 03:51
I would be happy to help :)
msg149565 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2011-12-15 17:03
Let's move this discussion to the IDLE-dev mailing list.
msg149642 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-12-16 23:28
I agree with Roger that developing an extension elsewhere is the proper first step. I suspect that you will want to experiment with the exact behavior and interface. So I am closing this for now, though you can reopen later if there is a renewed proposal to change IDLE as distributed. But I would sooner incorporate some of the other extensions that have already been written and tested as part of IdleX.

Because I don't usually do the things that cause IDLE to crash, at least not while coding, and do use a fairly short code/F5-run test cycle, I am not sure I would need this much. On the other hand, a 5 or 10 minute timed backup might not be a bad idea.
History
Date User Action Args
2011-12-16 23:28:16terry.reedysetstatus: open -> closed
versions: + Python 3.3, - Python 3.2
nosy: + terry.reedy

messages: + msg149642

resolution: later
2011-12-15 17:03:44roger.serwysetmessages: + msg149565
2011-12-15 03:51:51Ramchandra Aptesetmessages: + msg149494
2011-12-14 17:07:58roger.serwysetmessages: + msg149457
2011-12-14 09:12:03Ramchandra Aptesetmessages: + msg149435
2011-12-12 14:53:07roger.serwysetnosy: + roger.serwy
messages: + msg149305
2011-12-10 06:32:56Ramchandra Aptesettype: enhancement
versions: + Python 3.2
2011-12-10 03:09:31Ramchandra Aptecreate